##############################
### An introduction to `R` ###
### Activity 1             ###
##############################
c <- c(2,3,1,6,-1)
dat <- data.frame(a,b,c)

##############################
### An introduction to `R` ###
### Activity 2             ###
##############################
iris$Sepal.Width.Times.Sepal.Length <- iris$Sepal.Width * iris$Sepal.Length

##############################
### An introduction to `R` ###
### Activity 3             ###
##############################
Iris1 <- subset(iris, Sepal.Width == 2.9)
Iris2 <- subset(iris, Sepal.Width < 2.9 &
                  Sepal.Length > 3)

##########################################################
### Example: HIA associated with outdoor air pollution ###
### Activity 1                                         ###
##########################################################
# Relative Risk
RR <- 1.06

# Size of population
Population <- 9600000

# Unit for the Relative Risk
RR_unit <- 10

# Mortality rate
OMR = 95/10000

# Baseline value of PM2.5 for which there is no increased risk
baseline <- 5

# PM2.5 categories
PM2.5.cats <- c(5,15,25,35,45,55,65,75,85,95,105)

# Create a dataframe containing the PM2.5 categoriess
Impacts <- data.frame(PM2.5.cats)

# Calculating Relative Risks 
Impacts$RR <- RR^((Impacts$PM2.5.cats - baseline)/RR_unit)

# Calculating the rates in each category
Impacts$Rate <- Impacts$RR * OMR

# Add the nuimber of (expected) deaths  per year for each category
Impacts$Deaths.Per.Year <- Impacts$Rate * Population

# The number of deaths
Impacts$Deaths.Per.Year[1]

# We can then calculate the excess numbers of deaths for each category
Impacts$Extra.Deaths <- Impacts$Deaths.Per.Year - Impacts$Deaths.Per.Year[1]

# Calculate the number of deaths gained
diff(Impacts$Extra.Deaths)

# We can now add these gains to the main Impacts dataframe
Impacts$Gain <- c(0,diff(Impacts$Extra.Deaths))

# Show the results
Impacts

##########################################################
### Example: HIA associated with outdoor air pollution ###
### Activity 2                                         ###
##########################################################
# Relative Risk
RR <- 1.15

# Size of population
Population <- 9.600000

# Unit for the Relative Risk
RR_unit <- 10

# Mortality rate
OMR = 95/10000

# Baseline value of PM2.5 for which there is no increased risk
baseline <- 5

# PM2.5 categories
PM2.5.cats <- c(5,15,25,35,45,55,65,75,85,95,105)

# Create a dataframe containing the PM2.5 categoriess
Impacts <- data.frame(PM2.5.cats)

# Calculating Relative Risks 
Impacts$RR <- RR^((Impacts$PM2.5.cats - baseline)/RR_unit)

# Calculating the rates in each category
Impacts$Rate <- Impacts$RR * OMR

# Add the nuimber of (expected) deaths  per year for each category
Impacts$Deaths.Per.Year <- Impacts$Rate * Population

# The number of deaths
Impacts$Deaths.Per.Year[1]

# We can then calculate the excess numbers of deaths for each category
Impacts$Extra.Deaths <- Impacts$Deaths.Per.Year - Impacts$Deaths.Per.Year[1]

# Calculate the number of deaths gained
diff(Impacts$Extra.Deaths)

# We can now add these gains to the main Impacts dataframe
Impacts$Gain <- c(0,diff(Impacts$Extra.Deaths))

# Show the results
Impacts
